%define upstream_name    Class-Inner
%define upstream_version 0.200001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Class-Inner module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Class-Inner/
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Class-Inner module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class/*
%{_mandir}/*/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.200.1-3.mga4
+ Revision: 510116
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.1-2.mga3
+ Revision: 364392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.200.1-1.mga1
+ Revision: 10005
- imported package perl-Class-Inner


* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.1-1mdv2010.1
+ Revision: 468894
- update to 0.200001

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1-7mdv2010.0
+ Revision: 430329
- rebuild

* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1-6mdv2009.0
+ Revision: 289445
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1-3mdv2008.1
+ Revision: 136683
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2007.1
+ Revision: 138899
- use the %%mkrel macro

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Class-Inner

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- rebuild

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package

